/*
 *产品迁移助手JS
 */
var laststate;
var laststate2;
var overimg=function(){
	laststate=document.getElementById('arrowimg').src;
	document.getElementById('arrowimg').src='images/transferdarkblue.png';
}
var leaveimg=function(){
	laststate2=document.getElementById('arrowimg').src;
	document.getElementById('arrowimg').src=laststate;
}
var downimg=function(){
	laststate2=document.getElementById('arrowimg').src;
	document.getElementById('arrowimg').src='images/transferpurple.png';
}
var upimg=function(){
	document.getElementById('arrowimg').src=laststate2;
	jsign=laststate.indexOf('transfergreen');
	if(jsign>-1)
	{
		document.getElementById('transform').submit();
	}
}
var originchange=function(){
	if(document.getElementById('destcate').selectedIndex==-1)
	{
		document.getElementById('arrowimg').src='images/transferred.png';
	}
	else if(document.getElementById('origincate').options[document.getElementById('origincate').selectedIndex].getAttribute('needlevel')>document.getElementById('destcate').options[document.getElementById('destcate').selectedIndex].getAttribute('providelevel'))
	{
		document.getElementById('arrowimg').src='images/transferred.png';
	}
	else if(document.getElementById('origincate').options[document.getElementById('origincate').selectedIndex].getAttribute('exclusion')==document.getElementById('destcate').options[document.getElementById('destcate').selectedIndex].value)
	{
		document.getElementById('arrowimg').src='images/transferred.png';
	}
	else if(document.getElementById('origincate').options[document.getElementById('origincate').selectedIndex].value==document.getElementById('destcate').options[document.getElementById('destcate').selectedIndex].value)
	{
		document.getElementById('arrowimg').src='images/transferred.png';
	}
	else
	{
		document.getElementById('arrowimg').src='images/transfergreen.png';
	}
}
var destchange=function(){
	if(document.getElementById('origincate').selectedIndex==-1)
	{
		document.getElementById('arrowimg').src='images/transferred.png';
	}
	else if(document.getElementById('origincate').options[document.getElementById('origincate').selectedIndex].getAttribute('needlevel')>document.getElementById('destcate').options[document.getElementById('destcate').selectedIndex].getAttribute('providelevel'))
	{
		document.getElementById('arrowimg').src='images/transferred.png';
	}
	else if(document.getElementById('origincate').options[document.getElementById('origincate').selectedIndex].getAttribute('exclusion')==document.getElementById('destcate').options[document.getElementById('destcate').selectedIndex].value)
	{
		document.getElementById('arrowimg').src='images/transferred.png';
	}
	else if(document.getElementById('origincate').options[document.getElementById('origincate').selectedIndex].value==document.getElementById('destcate').options[document.getElementById('destcate').selectedIndex].value)
	{
		document.getElementById('arrowimg').src='images/transferred.png';
	}
	else
	{
		document.getElementById('arrowimg').src='images/transfergreen.png';
	}
}